id: https://$BASE_URL$/gaia-x/data/DataTransaction
name: data-transaction
prefixes:
  gx: https://$BASE_URL$/gaia-x/
  gx-data: https://$BASE_URL$/gaia-x/data/
  odrl: http://www.w3.org/ns/odrl/2/
  dct: http://purl.org/dc/terms/
  dcat: http://www.w3.org/ns/dcat#
  linkml: https://w3id.org/linkml/
  schema: http://schema.org/
imports:
  - linkml:types
  - ./data-common
  - ./data-dataset
default_range: string
version: "2311"
classes:
  SignatureCheckType:
    is_a: Gaia-X Entity
    class_uri: gx-data:SignatureCheckType
    slots:
      - participantRole
      - mandatory
      - legalValidity
    slot_usage:
      participantRole:
        required: true
      mandatory:
        required: true
      legalValidity:
        required: true

  DataUsage:
    is_a: Gaia-X Entity
    class_uri: gx-data:DataUsage
    slots:
      - loggingService

  DataProductUsageContract:
    is_a: Gaia-X Entity
    class_uri: gx-data:DataProductUsageContract
    slots:
      - providedBy
      - consumedBy
      - dataProduct
      - signers
      - termOfUsage
      - notarizedIn
      - dataUsage
    slot_usage:
      providedBy:
        required: true
        description: A resolvable link to the Data Provider Declaration.
        # TODO : range Data Provider maybe ?
      consumedBy:
        required: true
        # TODO : range Data Consumer maybe ?
      dataProduct:
        required: true
        # TODO : range data product maybe ?
      signers:
        required: true
      termOfUsage:
        required: true
      dataUsage:
        required: true
        #TODO : range data usage maybe ?

slots:
  participantRole:
    description: >-
      Establish a unique way to identify the participant that has to Sign(e.g. gx:providedBy is identified by Provider ).
      Possible values are Provider, Consumer, Licensor, Producer
    slot_uri: gx-data:participantRole
  mandatory:
    description: >-
      Establish the if a Signature is mandatory or Optional. Possible values are Yes/No
    slot_uri: gx-data:mandatory
  legalValidity:
    description: >-
      Establish the if the Legal validity check needs to be enforced to the Signature. Possible values are Yes/No
    slot_uri: gx-data:legalValidity

  consumedBy:
    description: A resolvable link to the Data Consumer Delaration.
    slot_uri: gx-data:consumedBy
  dataProduct:
    description: A resolvable link to the Data Product Description Declaration (after negotiation).
    slot_uri: gx-data:dataProduct
  signers:
    description: The array identifying all required Participant signature
    slot_uri: gx-data:signers
    range: SignatureCheckType
    multivalued: true
  termOfUsage:
    description: A resolvable link to the Term of Usage.
    slot_uri: gx-data:termOfUsage
  notarizedIn:
    description: A resolvable link to the Notarization service
  dataUsage:
    description: A resolvable link to Data Usage.
    slot_uri: gx-data:dataUsage

  loggingService:
    description: Link to the Logging Service.
    slot_uri: gx-data:loggingService
